#include <Engine/types/entity/Camera.h>
#include <Engine/Globals.h>

void Engine::Camera::ShouldRender(bool state) {
    if (state)
        GetScene()->SetActiveCamera(this);
}

bool Engine::Camera::ShouldRender() const {
    return GetScene()->GetActiveCamera() == this;
}
